#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=hakodate1.8_depth_histogram.ps
projection=-JX12/10
region=-R0/30/0/20
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa5f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths hakodate1.8' -K <<END>> $psfile
    13.000
     9.000
    25.000
    11.000
    11.000
    14.000
    15.000
     8.000
     8.000
     7.000
     9.000
    12.000
    11.000
    11.000
    11.000
    11.000
    10.000
    10.000
    12.000
    11.000
     9.000
    11.000
     6.000
    12.000
    11.000
    12.000
    11.000
    11.000
    11.000
    10.000
     9.000
    11.000
    11.000
    15.000
    10.000
    10.000
    10.000
    10.000
    11.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
    18.800     1.000 Median of constrained depths = 11.0
END
